Subject: Re: PBB E-VPN and TRILL

From: Giles Heron <[email-masked]>
Date: Fri, 15 Jun 2012 17:56:53 +0100

Hi Lucy,

Sorry for the late response on this.

It seems to me that there are 3 approaches here:

(1) extend the IGP and nicknames over the WAN (your approach)
(2) have per-DC IGP and extend nicknames over the WAN (the PBB-EVPN TRILL
approach)
(3) have per-DC IGP and nicknames (Balaji's approach).

Those seem fundamentally very different in terms of scaling characteristics
etc.

Re your draft I think concerns were expressed at IETF82 in terms of it being
simply interconnecting TRILL islands over VPLS or VPWS - so not necessarily
being something that required a draft...
 
Giles

On 10/05/2012 15:35, "Lucy yong" <[email-masked]> wrote:

> There is another draft to be considered.
> 
> http://tools.ietf.org/html/draft-yong-trill-trill-o-mpls-01.txt
> 
> Lucy
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Balaji Venkat Venkataswami
> Sent: Thursday, May 10, 2012 2:34 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: PBB E-VPN and TRILL
> 
> Hi  Giles,
> 
> I totally agree on this point. We have a solution that was presented to the
> TRILL
> working group as well on the interconnection of TRILL islands. We would like
> to 
> concur with this and request for entering our draft as well into the solution
> space.
> 
> The URL for the TRILL draft is as follows.
> http://tools.ietf.org/html/draft-balaji-trill-over-ip-multi-level-05
> 
> 
> thanks and regards,
> balaji venkat
> 
> Sent: Wednesday, May 09, 2012 6:04 PM 
> To: [email-masked]
> Cc: Ali Sajassi (sajassi); Stewart Bryant
> Subject: PBB E-VPN and TRILL
> 
> Ali presented the PBB-EVPN draft at IETF83 in Paris:
> 
> http://tools.ietf.org/html/draft-ietf-l2vpn-pbb-evpn-01
> 
> This has since been updated:
> 
> http://tools.ietf.org/html/draft-ietf-l2vpn-pbb-evpn-02
> 
> During our discussions Ali mentioned that the authors would like the TRILL
> section of the draft to be separated out into a separate draft.  In response
> Stewart questioned whether interconnecting TRILL islands is in-scope for
> L2VPN.
> 
> Stewart, Nabil and I have just been discussing these issues.  Whilst TRILL
> interconnect is not explicitly in-charter for L2VPN it would appear to be
> implicitly in-charter - our decision to standardise solutions for PBB VPLS and
> PBB E-VPN probably sets a precedent (since PBB is also unmentioned by the
> charter).
> 
> On this basis we would like to ask the WG the following three questions:
> 
> 1) is the WG happy for us to pursue interconnection of TRILL islands over
> L2VPN?
> 
> 2) is the WG happy for the authors to split the TRILL section of the PBB E-VPN
> draft into a separate draft?
> 
> 3) is the WG happy for the TRILL draft to be a WG doc?
> 
> Please respond by May 22nd if you are unhappy with any of these 3 actions
> (I'll take no response to mean the WG is in agreement with us proceeding...)
> 
> Giles
> 
>

---

From: Giles Heron <[email-masked]>
Date: Fri, 15 Jun 2012 18:02:39 +0100

On 10/05/2012 18:56, "Donald Eastlake" <[email-masked]> wrote:

> On Thu, May 10, 2012 at 10:35 AM, Lucy yong <[email-masked]> wrote:
> There are a number of drafts but I think it is useful to make a
> distinction between drafts that provide full connectivity between
> TRILL switches (RBridges), so that they merge into a single TRILL
> campus, and drafts that provide for data plane connectivity but
> limited control plane connectivity for fault isolation, etc.
> 
> TRILL switches are routers. Like IP routers they logically strip the
> link envelope from TRILL frames they receive and add a new, possible
> different technology, link envelope on TRILL frames they send. Just as
> it is possible to have an IP routed region where none of the
> connections between IP routers is Ethernet but could be, for example,
> PPP, it is possible to have a TRILL campus where none of the
> connections between the RBridges is Ethernet but they are all some
> other technology X, such as PPP. So, drafts that are "TRILL over X"
> that are talking about full TRILL data and control plan connectivity
> don't really seem to me to have much to do with L2VPN. Such drafts
> should be done in either the TRILL WG or in the WG that does
> technology X.

I guess in this case VPLS and VPWS can be instances of "X".  And they are in
the L2VPN WG. So by your logic, and following the precedent of PWE3 WG
working on Y over PWE for all values of Y, I suspect the work (if any) would
be done here.

> It seems to me that L2VPN has to do with method that provide limited
> data plane interconnection for better fault isolation.

Agreed in general.

> 
> Thanks,
> Donald
> =============================
>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>  155 Beaver Street, Milford, MA 01757 USA
>  [email-masked]
> 
>> Lucy
>> 
>> implicitly in-charter - our decision to standardise solutions for PBB VPLS
>> and PBB E-VPN probably sets a precedent (since PBB is also unmentioned by the
>> charter).
>> 
>> 2) is the WG happy for the authors to split the TRILL section of the PBB
>> E-VPN draft into a separate draft?
>>

---

From: Giles Heron <[email-masked]>
Date: Tue, 19 Jun 2012 19:46:49 +0100

Hi all,

following recent discussions on the list I think we have strong consensus on
items 1 and 2, and reasonable consensus on item 3.

So on that basis Ali, could you please publish a new version of PBB-EVPN
with no TRILL content, and also create draft-ietf-l2vpn-trill-evpn-00 for
the TRILL content?

We will be willing to consider other drafts that take a different approach
to interconnecting TRILL islands over L2VPN (e.g. using nicknames per site
instead of global nicknames) if these can be shown to be sufficiently
compelling.

Giles

On 09/05/2012 13:34, "Giles Heron" <[email-masked]> wrote:

> and PBB E-VPN probably sets a precedent (since PBB is also unmentioned by
> the charter).
>